getParams.city = page_info.name;
var defaultFilter = !1,
    firstSearch = !1,
    date_changed = false;
var glob={};
var markers = [];
var bounds;
var cur_date = "init";
var availability;
//$(".content").spin();
var gmap = new google.maps.Map(document.getElementById("map"), {
    zoom: 17,
    zoomControl: !0,
    zoomControlOptions: {
        style: google.maps.ZoomControlStyle.DEFAULT
    },
    disableDoubleClickZoom: !0,
    mapTypeControl: !0,
    mapTypeControlOptions: {
        style: google.maps.MapTypeControlStyle.HORIZONTAL_BAR
    },
    scaleControl: !0,
    scrollwheel: !1,
    panControl: !0,
    streetViewControl: !0,
    draggable: !0,
    overviewMapControl: !0,
    overviewMapControlOptions: {
        opened: !1
    },
    mapTypeId: google.maps.MapTypeId.ROADMAP,
    styles: [{
        "featureType": "poi.business",
        "stylers": [{ "visibility": "off" }]
    }]
});

var ibOptions = {
    disableAutoPan: false
    , alignBottom: true
    , maxWidth: 0
    , pixelOffset: new google.maps.Size(-126, -60)
    , zIndex: null
    , boxStyle: {
        padding: "0px 0px 0px 0px",
        width: "252px",
        height: "190px"
    },
    closeBoxMargin: "3px 3px 0 -23px",
    closeBoxURL: "/images/times.png",
    infoBoxClearance: new google.maps.Size(1, 1),
    isHidden: false,
    pane: "floatPane",
    enableEventPropagation: false
};
var infowindow = new InfoBox(ibOptions);

google.maps.Map.prototype.clearOverlays = function () {
    for (var i = 0; i < markers.length; i++) {
        markers[i].setMap(null);
    }
    markers.length = 0;
}

var renderSearchresults = function (venue_plants, filters) {

    $("#places").html(""),
    ReactDOM.render(React.createElement(SearchResults, {
        searchResults: venue_plants,
        filter: filters,
        availability: availability
    }), document.getElementById("places")),
    firstSearch ? makeSearchUrl() : firstSearch = !0,
    resizeContentHeight(),
    $("#sort-venues").trigger("change");
}

var createMarkers = function(rs){
    
    var marker;
    infowindow.close();
    for (var o in rs) {
        
        var m = new google.maps.LatLng(rs[o].visitingAddress.lat, rs[o].visitingAddress["long"]);
        bounds.extend(m), marker = new google.maps.Marker({
            icon: "/images/ttm-marker.png",
            position: new google.maps.LatLng(rs[o].visitingAddress.lat, rs[o].visitingAddress["long"]),
            map: gmap,
            venue: rs[o]
        });
        markers.push(marker);
        google.maps.event.addListener(marker, 'click', (function (marker) {
            return function () {
                for (var i = 0; i < markers.length; i++) {
                    markers[i].setAnimation(null);
                }
                var target = screen.width > 500 ? ' target="_blank"' : '';
                var bgImg = marker.venue.plantImages[0] ? marker.venue.plantImages[0]['url'] : "/images/noimg.gif";
                var url = options.wlVenuePageUrl + "/" + marker.venue.nameForUrl + "_" + marker.venue.plantId + glob.urlFilters;
                var avail = marker.venue.roomsAvailable == 1 ? lang.roomAvailable : lang.roomsAvailable;
                var infocontent = '<div class="info-box-wrap">'
                    + '<div class="info-box-img" onClick="slideshow(' + marker.venue.plantId + ')" style="background-image: url(' + bgImg + ')"></div>'
                    + '<div class="info-box-text-wrap">'
                    + '<p class="ib-name">' + marker.venue.plantName + '</p>'
                    + '<p class="ib-address">' + marker.venue.visitingAddress.street + ', ' + marker.venue.visitingAddress.city_name + '</p>'
                    + '<a href="' + url + '"' + target + ' class="ib-price-row">'
                    + '<div class="ib-price-from"><span class="ib-price-text">' + lang.price + '</span> <strong>' + marker.venue.lowestPrice + ' kr</strong><div>' + marker.venue.roomsAvailable + ' ' + avail + '</div></div>'
                    + '<div class="ib-show-room"><span class="green_button">' + lang.viewRooms + '</span></div>'
                    + '</a>'
                    + '</div>'
                    + '</div>';
                marker.setAnimation(google.maps.Animation.BOUNCE);
                infowindow.setContent(infocontent);
                infowindow.open(gmap, marker);
                gmap.panTo(infowindow.getPosition());
                highlightCard(marker.venue.plantId);

            };
        })(marker));
        
    }
    google.maps.event.addListener(infowindow, 'closeclick', function (event) {
        for (var i = 0; i < markers.length; i++) {
            markers[i].setAnimation(null);
        }
    });

    setTimeout(function () {
        gmap.setCenter(bounds.getCenter(), gmap.fitBounds(bounds));
        var zoom = gmap.getZoom() - 1;
        if (zoom > 16) zoom = 16;
        gmap.setZoom(zoom);
    }, 300);
}

var resizeMap = function() {
    var mapwidth = (($('body').outerWidth() - $('#results').outerWidth()) / 2) + ($('#results').outerWidth() - $('#overmap').outerWidth());
    var maptop = inViewport($("#header_upper"));
    var mapheight = inViewport($("#main_content"));
    $("#mapcontainer").css("width", mapwidth);
    $("#mapcontainer").css("top", maptop);
    $("#mapcontainer").css("height", mapheight);
}

$(window).on("scroll resize",resizeMap);

var highlightCard = function(id){
  $('.place').removeClass('hover');
  $('#venue-list_'+id).addClass('hover');

}
var slideshow = function(id){
  $.magnificPopup.open({
      items: glob['images_'+id],
      gallery: {
        enabled: true,
        tCounter: '<span class="mfp-counter">%curr% / %total%</span>'
      },
      type: 'image',
      mainClass: 'mfp-zoom-in',
      removalDelay: 300, //delay removal by X to allow out-animation
      callbacks: {
          open: function() {
              //overwrite default prev + next function. Add timeout for css3 crossfade animation
              $.magnificPopup.instance.next = function() {
                  var self = this;
                  self.wrap.removeClass('mfp-image-loaded');
                  setTimeout(function() { $.magnificPopup.proto.next.call(self); }, 120);
              }
              $.magnificPopup.instance.prev = function() {
                  var self = this;
                  self.wrap.removeClass('mfp-image-loaded');
                  setTimeout(function() { $.magnificPopup.proto.prev.call(self); }, 120);
              }
          },
          imageLoadComplete: function() {
              var self = this;
              setTimeout(function() { self.wrap.addClass('mfp-image-loaded'); }, 16);
          }
      }
  });
}



$("#places").html("");


var cityId = page_info.cityId,

    makeSearchUrl = function() {
        // adjust for white-label
        var e = options.wlVenuesPageUrl;
        if (page_info.citySlug) e += "/" +page_info.citySlug;
        e += "/?";
        $("#filter_form input,#filter_form select").each(function() {
            $(this).attr("name") && (e += $(this).attr("name") + "=" + $(this).val() + "&")
        }), window.history.pushState({}, "", e.slice(0, -1))
    },

    createFilterQuery = function(page) {


        gmap.clearOverlays();
        $("#places").html(""),
        ReactDOM.render(React.createElement(RenderPlaceholder, {
            posts: 2
        }), document.getElementById("places"));

        page || (page = 1);

        var filters = {};
        var usedFilters=0;

        filters.date = $.trim($("[name=date]").val()) ? $.trim($("[name=date]").val()):false;
        filters.datefrom = filters.date;
        filters.dateto = filters.date;
        
        filters.persons = $.trim($("[name=persons]").val()) ? $.trim($("[name=persons]").val()) : false;
        filters.timespan = $.trim($("[name=time]").val()) ? $.trim($("[name=time]").val()) : false;

        filters.tech =[];
        $(".flt-tech:checked").each(function (idx) {
            filters.tech.push(parseInt($(this).val()));
            usedFilters++;
        });
        filters.seat = [];
        $(".flt-seat:checked").each(function (idx) {
            filters.seat.push(parseInt($(this).val()));
            usedFilters++;
        });
        filters.food = [];
        $(".flt-food:checked").each(function (idx) {
            filters.food.push(parseInt($(this).val()));
            usedFilters++;
        });
        
        if (usedFilters>0){
            $("#used-filters").text("(" + usedFilters + " filter används)");
            $("#clear-filters").removeClass('hidden');
        } else {
            $("#used-filters").text("");
            $("#clear-filters").addClass('hidden');
        }

        if (cur_date != filters.date){
            cur_date = filters.date;
            var theVenues = venue_plants.venues.join();
            if (filters.date){
                let req = { 
                    url: "search/availability/period",
                    apiVersion: 2, 
                    objectIds: theVenues, 
                    objectId: '', 
                    objectType: 'plant', 
                    fromDate: filters.date, 
                    toDate: filters.date 
                };
                $.post("/proxy", req, function (data) {
                    availability = data;
                    renderSearchresults(venue_plants, filters);
                }, 'json');

            } else if (page_info.cityId) {
                $.get("/cache/availability_" + page_info.cityId + ".json?v="+cache_version, function (data) {
                    availability = data;
                    renderSearchresults(venue_plants, filters);
                }, 'json');

            } else {
                $.get("/api", { e: "org_availability", objectIds: theVenues }, function (data) {
                    availability = data;
                    renderSearchresults(venue_plants, filters);
                }, 'json');
            }
            
        } else {
            renderSearchresults(venue_plants, filters);
        }
        

    },
    ShowSearchForm = React.createClass({
        displayName: "ShowSearchForm",
        render: function() {
            
            
            return React.createElement("div", {
                id: "second_search_form",
                className: "row"
            },
            React.createElement(CityPicker, null),
            React.createElement(PersonsPicker, null),
            React.createElement(ReactDatePicker, null),
            React.createElement(ReactTimePicker, null))
        }
    }),


    RenderOneVenue = React.createClass({
        displayName: "RenderOneVenue",
        imgClick: function(e) {
            e.preventDefault();
            var id=e.currentTarget.getAttribute('data-pid');
            slideshow(id);
        },
        render: function() {
            var venue = this.props.options.item,
                t = this.props.options.filterLink,
                a = this.props.options.currencyData,
                n = options.wlVenuePageUrl + "/" + venue.nameForUrl + "_" + venue.plantId + t;
            var r = venue.plantImages.length ? React.createElement("img", {
                alt: "",
                src: venue.plantImages[0].url,
            }) : "";
            var vImg =  venue.plantImages.length ? venue.plantImages[0].url : "/images/noimg.gif";

            var venueImages=[];
            if(venue.plantImages[0]){
              for (var idx in venue.plantImages){
                venueImages.push({"src":venue.plantImages[idx].url, "title": venue.plantImages[idx].description });
              }
            }
            glob['images_'+venue.plantId]=venueImages;

            var target=screen.width > 500 ? "_blank":"_self";

            return React.createElement("div", {
                "data-price": venue.lowestPrice,
                "data-price-full": venue.bestPrice.fullDayPrice,
                "data-price-prenoon": venue.bestPrice.preNoonPrice,
                "data-price-afternoon": venue.bestPrice.afterNoonPrice,
                "data-rating": venue.rating,
                "data-name": venue.plantName,
                "data-distance": venue.distance,
                className: "place",
                id: "venue-list_" + venue.plantId
            }, React.createElement("table", null, React.createElement("tbody", null, React.createElement("tr", null,
            React.createElement("td", {
                className: "place-img",
                onClick: this.imgClick,
                'data-pid': venue.plantId,
                style:{'backgroundImage':'url('+vImg+')'}
            },
            React.createElement("span", {
              className:'search_img_button',
              onClick: this.imgClick,
              'data-pid': venue.plantId
            }, React.createElement("i", {className:'fa fa-image'}), " Visa bilder (", venueImages.length , ")")),
            React.createElement("td", null, React.createElement("div", {
                className: "place_info"
            }, React.createElement("h2",{className: "name"}, React.createElement("a", {
                href: n,
                className: "name",
                target: target
            }, venue.plantName)), React.createElement("p", {
                className: "address"
            }, venue.visitingAddress.street, ", ", venue.visitingAddress.city_name), React.createElement("p", null, cutWords(venue.plantFacts))
            )),

            React.createElement("td", null, React.createElement("div", {
                className: "place_price"
            }, React.createElement("p", null, lang.price), React.createElement("p", {
                className: "price"
            }, venue.lowestPrice," ", a.currency),
            React.createElement("a", {
                className: "book",
                onClick: this.bookingLinkHandle,
                "data-id": "",
                href: n,
                target: target
            }, lang.viewRooms),
            React.createElement("p", {
                className: "available"
            }, React.createElement("a", {
                href: n,
                target: target
            }, venue.roomsAvailable, " ", getCountNoun(venue.roomsAvailable, lang.roomAvailable, lang.roomsAvailable)))
          ))))))
        }
    }),
    VenueFilters = React.createClass({
        displayName: "VenueFilters",
        componentDidMount: function (e) {
            $(".venuefilter").on('change', function () {
                createFilterQuery();
            })
            $("#clear-filters").on('click',function(){
                $(".venuefilter").prop('checked',false).change();
            })
        },
        render: function () {
            return (
                <div id="venues-filter-panel">
                    <div className="clearfix">
                        <a className="venues-filter-button" data-toggle="collapse" href="#collapseFilters" aria-expanded="false" aria-controls="collapseFilters">
                            <i className="fa fa-filter"></i> Anpassa sökningen <span id="used-filters"></span>
                        </a>
                        <a id="clear-filters" className="venues-filter-button hidden" href="#">
                            <i className="fa fa-trash-o"></i> Avmarkera alla filter
                        </a>
                    </div>


                    <div className="collapse" id="collapseFilters">
                        <hr />
                        <p><strong>Möblering</strong></p>
                        <div key="seatsRow" className="row">
                            {Object.entries(list_seating).map(function (e, t) {
                                var seat_id = e[1].id;
                                return (
                                    <div className="form-group col-sm-4" id={"flt-seat-" + seat_id} key={"flt-seat-" + seat_id}>
                                        <input className="venuefilter flt-seat" type="checkbox" name={"seat-" + seat_id} id={"seat-" + seat_id} value={seat_id} />
                                        <label htmlFor={"seat-" + seat_id}>{e[1].name}</label>
                                    </div>
                                )
                            })}
                        </div>
                        <hr />
                        <p><strong>Utrustning</strong></p>
                        <div className="row">
                            {Object.entries(list_tech).map(function (e, t) {
                                var tech_id = e[1].id;
                                return (
                                    <div className="form-group col-sm-4" id={"flt-tech-" + tech_id} key={"flt-tech-" + tech_id}>
                                        <input className="venuefilter flt-tech" type="checkbox" name={"tech-" + tech_id} id={"tech-" + tech_id} value={tech_id} />
                                        <label htmlFor={"tech-" + tech_id}>{e[1].name}</label>
                                    </div>
                                )
                            })}
                        </div>

                        <hr />
                        <p><strong>Mat & dryck</strong></p>
                        <div className="row">
                            {Object.entries(list_food).map(function (e, t) {
                                var food_id = e[1].id;
                                return (
                                    <div className="form-group col-sm-4" id={"flt-food-" + food_id} key={"flt-food-" + food_id}>
                                        <input className="venuefilter flt-food" type="checkbox" name={"food-" + food_id} id={"food-" + food_id} value={food_id} />
                                        <label htmlFor={"food-" + food_id}>{e[1].name}</label>
                                    </div>
                                )
                            })}
                        </div>
                    </div>
                </div>
            )
        }
    }),
    SearchResults = React.createClass({
        displayName: "SearchResults",
        getInitialState: function() {
            return {}
        },
        componentDidMount: function(){
            
            // Init list
            var venueList = new List('places', {
                valueNames: [
                    { data: ['price'] },
                    { data: ['price-full'] },
                    { data: ['price-prenoon'] },
                    { data: ['price-afternoon'] },
                    { data: ['rating'] },
                    { data: ['name'] },
                    { data: ['distance'] }
                ],
                alphabet: "ABCDEFGHIJKLMNOPQRSTUVXYZÅÄÖabcdefghijklmnopqrstuvxyzåäö"
            });

            //$(".loading").fadeOut("slow");

            $("#sort-venues").change(function () {
                var el = $('#sort-venues option:selected');
                venueList.sort(el.data('orderby'), { order: el.data('direction')});
            });

            if(this.props.searchResults.cityId && this.props.searchResults.cityPlantCount <= 0){
                $('#alert-noresult-city').removeClass('hidden');
                $('#alert-noresult').addClass('hidden');
            } else if(this.plantCount <= 0) {
                $('#alert-noresult').removeClass('hidden');
                $('#alert-noresult-city').addClass('hidden');
            } else {
                $('#alert-noresult').addClass('hidden');
                $('#alert-noresult-city').addClass('hidden');
            }
            $("#search_count").text(''); //this.plantCount + " " + lang.results

            // create map
            resizeMap();
            
            var rs = this.markers;

            if (!rs.length) return !1;
            bounds = new google.maps.LatLngBounds;
            createMarkers(rs);

        },
        bookingLinkHandle: function(e) {
            e.preventDefault()
        },

        calculatePriceType: function() {
            var e = options.currency,
                t = $("[name=time]").val();

            if(t == "prenoon"){
              var price="preNoonPrice";
            } else if (t == "afternoon") {
              var price="afterNoonPrice";
            } else if (t == "fullday") {
              var price="fullDayPrice";
            } else {
              var price="default";
            }

            return {
                type: price,
                currency: e
            }
        },
        plantToArray: function(e) {
            var t = [];
            for (var a in e) e[a].id = a, t[t.length] = e[a];
            return t
        },
        createFilterLink: function() {
            var e = this.props.filter,
                t = "";
            for (var a in e) e[a] && (t += "&" + a + "=" + e[a]);
            glob.urlFilters=t;
            return t
        },
        render: function() {
            // filterResults();
            this.markers=[];
            var venues = this.props.searchResults.plantsOverview;
            var availability = this.props.availability.result;
            var filters = this.props.filter;

            venueLoop: for (var vk in venues) {
                var best=null;
                var max;
                var roomsAvailable = 0;

                // food is filtered on venue level
                // plantFoodBeverages.foodBeverageGroup
                // filters.food, all checked should be fullfilled
                if (filters.food.length) {
                    // skip venue if it has no food
                    if (venues[vk].plantFoodBeverages.length < 1) {
                        venues[vk].roomsAvailable = 0;
                        continue venueLoop;
                    }
                    var hasFood = [];
                    for (var hfk in venues[vk].plantFoodBeverages) {
                        hasFood.push(venues[vk].plantFoodBeverages[hfk].foodBeverageGroup);
                    }
                    for (var fk in filters.food) {
                        if (hasFood.indexOf(filters.food[fk]) == -1) {
                            venues[vk].roomsAvailable = 0;
                            continue venueLoop;
                        }

                    }

                }

                roomLoop: for (var rk in venues[vk].rooms) {
                    var avail = false;
                    var fltPersons = false;
                    
                    // filters.persons
                    if (filters.persons.length){
                        fltPersons = filters.persons;
                        if (venues[vk].rooms[rk].max < filters.persons){
                            continue;
                        }
                    }

                    // filters.seat, room avail if any is fullfilled, also check max seats
                    if (filters.seat.length) {
                        var maxSeats=0;
                        var hasSeating = false;
                        for (var sk in filters.seat) {
                            for (var hsk in venues[vk].rooms[rk].seats){
                                if (venues[vk].rooms[rk].seats[hsk].type == filters.seat[sk]){
                                    hasSeating = true;
                                    if (venues[vk].rooms[rk].seats[hsk].seats > maxSeats){
                                        maxSeats = venues[vk].rooms[rk].seats[hsk].seats;
                                    }
                                }
                            }
                        }
                        if (!hasSeating || (fltPersons && fltPersons > maxSeats)) continue roomLoop;
                    }

                    // filters.tech, all checked should be fullfilled
                    if (filters.tech.length) {
                        for (var tk in filters.tech){
                            if (venues[vk].rooms[rk].techgroups.length < 1 || venues[vk].rooms[rk].techgroups.indexOf(filters.tech[tk]) == -1) {
                                continue roomLoop;
                            }
                        }
                    }
                    
                    // time
                    for (var ak in availability[venues[vk].plantId]) {

                        if (venues[vk].rooms[rk].id == availability[venues[vk].plantId][ak].conferenceRoom) {

                            if ((!filters.timespan || filters.timespan == 'fullday') && availability[venues[vk].plantId][ak].fullDayPrice) {
                                avail = true;
                                if (!best || best > parseInt(availability[venues[vk].plantId][ak].fullDayPrice)){
                                    best = parseInt(availability[venues[vk].plantId][ak].fullDayPrice);
                                }
                            }

                            if ((!filters.timespan || filters.timespan == 'prenoon') && availability[venues[vk].plantId][ak].preNoonPrice) {
                                avail = true;
                                if (!best || best > parseInt(availability[venues[vk].plantId][ak].preNoonPrice)) {
                                    best = parseInt(availability[venues[vk].plantId][ak].preNoonPrice);
                                }
                            }

                            if ((!filters.timespan || filters.timespan == 'afternoon') && availability[venues[vk].plantId][ak].afterNoonPrice) {
                                avail = true;
                                if (!best || best > parseInt(availability[venues[vk].plantId][ak].afterNoonPrice)) {
                                    best = parseInt(availability[venues[vk].plantId][ak].afterNoonPrice);
                                }
                            }
                        }
                    }

                    if (avail) {
                        roomsAvailable++;
                    }
                }
                venues[vk].roomsAvailable = roomsAvailable;
                venues[vk].lowestPrice = Math.round(best);
                
            }
            venues = this.plantToArray(venues);
            
            if (!venues) return React.createElement("div", null);
            
            var currencyData = this.calculatePriceType();

            var a = this.createFilterLink(), filters=this.props.filter;

            this.plantCount=0;
            return React.createElement("div", {id:'venues',className:'list'}, venues.map(function(venue, t) {
                
                if (venue.roomsAvailable > 0) {
                    this.markers.push(venue);
                    var n = {
                        filterLink: a,
                        currencyData: currencyData,
                        item: venue
                    };
                    this.plantCount++;

                    return React.createElement(RenderOneVenue, {
                        key:"plant"+venue.plantId,
                        options: n
                    })
                }
              
            }, this))
        }
    }),

    CityPicker = React.createClass({
        displayName: "CityPicker",

        handleChange: function (e) {
            let location = "/wb/";
            if ($("[name=city]").val() != "") location += $("[name=city]").val() + "/";
            location += "?persons=" + $("[name=persons]").val() + "&date=" + $("[name=date]").val() + "&time=" + $("[name=time]").val();
            document.location.href = location;

        },
        componentDidMount: function () {
            if (page_info.citySlug) $("[name=city]").val(page_info.citySlug);
        },
        render: function () {

            return React.createElement("div", {
                className: "col-sm-3 col-xs-6 city"
            }, React.createElement("p", {
                className: "f_label"
            }, "Stad"), React.createElement("select", {
                id: "city",
                key: "citySelect",
                name: "city",
                onChange: this.handleChange
            }, React.createElement("option", { value: "" }, lang.selectCity),
                Object.keys(citieswithvenues).map(function (e, t) {
                    return React.createElement("option", { value: citieswithvenues[e].slug, key: citieswithvenues[e].slug }, citieswithvenues[e].name)
                }, this)
            )
            )
        }
    }),

    PersonsPicker = React.createClass({
        displayName: "PersonsPicker",
        componentDidMount: function() {
            $("[name=persons]").on("change",function() {
              createFilterQuery();
            })
            $("[name=persons]").bindWithDelay("keyup", function () {
                $("[name=persons]").trigger("change");
            }, 1000);
        },
        getInitialState: function() {
            var e = getParams.persons ? getParams.persons.replace("+", " ") : "";
            return {
                value: e
            }
        },
        changeHandle: function(e) {
            this.setState({
                value: e.target.value
            })
        },
        render: function() {
            var e = this.state.value;
            return React.createElement("div", {
                className: "col-sm-3 col-xs-6 person"
            }, React.createElement("p", {
                className: "f_label"
            }, lang.searchPersons), React.createElement("div", {
                className: "styled_select"
            }, React.createElement("input", {
                type: "number",
                tabIndex: "1",
                min: "0",
                max: "500",
                name: "persons",
                defaultValue: e,
                placeholder: lang.searchPersons
            })))
        }
    }),

    ReactDatePicker = React.createClass({
        displayName: "ReactDatePicker",
        componentDidMount: function() {
            $("#date").datepicker({
                showOtherMonths: !0,
                selectOtherMonths: !0,
                dateFormat: "yy-mm-dd",
                firstDay: 1,
                minDate: 0
            });
            $("[name=date]").on("change",function () {
                console.log("change");
                
                $("[name=date]").val() || $("[name=date]").datepicker("show"), createFilterQuery();
            })
            $("#date").clearable();

        },
        render: function() {
            var e = getParams.date ? getParams.date : "";
            return React.createElement("div", {
                className: "col-sm-3 col-xs-6 date"
            }, React.createElement("p", {
                className: "f_label"
            }, lang.searchDate), React.createElement("input", {
                readOnly: true,
                tabIndex: "2",
                type: "text",
                defaultValue: e,
                name: "date",
                id: "date",
                placeholder: lang.searchDate
            }))
        }
    }),
    ReactTimePicker = React.createClass({
        displayName: "ReactTimePicker",
        componentDidMount: function() {
            $("[name=time]").change(function(){
                 createFilterQuery()
            })
        },
        handleChange: function(e) {
            var t = e.target.value;
            if(t == "prenoon"){
              var fr="09:00:00",to="10:00:00";
            } else if (t == "afternoon") {
              var fr="14:00:00",to="15:00:00";
            } else {
              var fr="09:00:00",to="15:00:00";
            }

            this.setState({
                from: fr,
                to: to
            })

        },
        getInitialState: function() {
            if(getParams.time=="prenoon"){
              var f="09:00",t="10:00";
            } else if (getParams.time=="afternoon") {
              var f="14:00",t="15:00";
            } else if (getParams.time=="fullday") {
              var f="09:00",t="15:00";
            } else {
              var f="",t="";
            }
            return {
                from: f,
                to: t
            }
        },
        render: function() {
            var e = this.state.from,
                t = this.state.to;
            return React.createElement("div", {
                className: "col-sm-3 col-xs-6 time"
            }, React.createElement("p", {
                className: "f_label"
            }, lang.filterTime), React.createElement("select", {
                id: "time",
                name: "time",
                tabIndex: "3",
                defaultValue: getParams.time,
                onChange: this.handleChange
            },
                React.createElement("option", {
                    value: ""
                }, lang.searchUnspec),
                React.createElement("option", {
                    value: "prenoon"
                }, lang.searchPrenoon),
                React.createElement("option", {
                    value: "afternoon"
                }, lang.searchAfternoon),
                React.createElement("option", {
                    value: "fullday"
                }, lang.searchFullday)

            )
            )
        }
    }),
    
    Pagination = React.createClass({
        displayName: "Pagination",
        calculatePagination: function() {
            var e = this.props.page,
                t = this.props.pages;
            if (1 >= t) return {
                renderPagination: !1
            };
            for (var a = 0, n = [], r = ""; t > a;) a++, a == e && (r = a), n[n.length] = a;
            return {
                paginator: n,
                current: r
            }
        },

        prevClickHandle: function(e) {
            e.preventDefault();
            var t = $("#pages li:first").next().children().data("page");
            this.pagignationQuery(t)
        },
        nextClickHandle: function(e) {
            e.preventDefault();
            var t = $("#pages li:first").next().children().data("page");
            this.pagignationQuery(t)
        },
        pagignationQuery: function(e) {
            createFilterQuery(e)
        },
        paginatorHandleClick: function(e) {
          e.preventDefault();
          this.pagignationQuery(e.target.dataset.page)

        },
        render: function() {
            var e = this.calculatePagination(),
                t = e.paginator;
            if (!t) return React.createElement("div", null);
            var a = e.current,
                n = 1 == a ? "" : React.createElement("li", null, React.createElement("a", {
                    href: "",
                    onClick: this.prevClickHandle
                }, "<<")),
                r = a == t.length ? "" : React.createElement("li", null, React.createElement("a", {
                    href: "",
                    onClick: this.nextClickHandle
                }, ">>"));
            return React.createElement("ul", {
                //className: "visible-sm visible-md visible-lg"
            }, n, t.map(function(e, t) {
                return e == a ? React.createElement("li", {key:a}, React.createElement("a", {
                    href: "",
                    className: "active",
                    "data-page": e
                }, e)) : React.createElement("li", null, React.createElement("a", {
                    href: "",
                    onClick: this.paginatorHandleClick,
                    "data-page": e
                }, e))
            }, this), r)
        }
    }),
    RenderPlaceholder = React.createClass({
        displayName: "RenderPlaceholder",
        render: function () {
            var rows = [], i = 0, len = this.props.posts;
            while (++i <= len) rows.push(i);
     
            return (
                <div style={{marginBottom:'500px'}}>
                {rows.map(function (i) {

                    return (
                        <div className="place venue-ph" id={"venue-list-ph-" + i} key={"venue-list-ph-" + i}>
                            <table>
                                <tbody>
                                    <tr>
                                        <td className="place-img" style={{'backgroundImage': 'url(/images/noimg.gif)'}}></td>
                                        <td>
                                            <div className="place_info">
                                                <div className="text line"></div>
                                                <div className="text line"></div>
                                                <div className="text line"></div>
                                                <div className="text"></div>
                                            </div>
                                        </td>
                                        <td>
                                            <div className="place_price">
                                                <div className="text"></div>
                                                <div className="text"></div>
                                            </div>
                                        </td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    )
                })}
                </div>
            )
        }
    });
    
    
    ReactDOM.render(React.createElement(ShowSearchForm, null), document.getElementById("main_search_form")),
    ReactDOM.render(React.createElement(VenueFilters, null), document.getElementById("venue_filters")),
    createFilterQuery();
    
